<script type="text/javascript">
  $(document).ready(function() {
      $(".accordion").accordion(
          { autoHeight: false,
            navigation: true
            });
      $("#tabs").tabs();
  });
</script>
<div class="module">Statistik</div>
<p>F&uuml;r Anmerkungen zu den einzelnen Spalten fahren Sie bitte mit der Maus &uuml;ber die Spalten&uuml;berschrift.</p>
<br/>
<?
  $statistics = new Statistics();
  $stats = $statistics->readEntries();
  $firstdate = $stats[0]->datum;
  List($firstyear, $firstmonth, $firstday) = explode('-',$firstdate);
  $thismonth = date('m', time());
  $thisyear = date('Y', time());
?>
    <div id="tabs">
      <ul>
<? for ($year = $thisyear; $year>=$firstyear; $year--) { ?>
        <li><a href="#year<?=$year?>"><span><?=$year?></span></a></li>
<? } ?>
      </ul>

<? for ($year = $thisyear; $year>=$firstyear; $year--) { ?>
    <div class="accordion" id="year<?=$year?>">
<?
    if ($year == $firstyear) {
        $startmonth = $firstmonth;
    } else {
        $startmonth = $lastmonth;
    }
  
    for ($i=12; $i >= $firstmonth; $i--) {
      if ($year == $thisyear && ($i > $thismonth +0)) {
        continue;
      }
?>
    <h3><a href="#"><?=$year?>-<?=substr("0$i",- 2)?></a></h3>
    <div>
    <table class="statistics">
      <tr bgcolor="#aaaaaa">
        <td class="tableheader">Datum <div class="tooltip">Die nachfolgenden Zahlen werden f&uuml;r dieses Datum am Tagesende (23:59:59 Uhr) berechnet.</div></td>
        <td class="tableheader">Gesamtpunktzahl <div class="tooltip">Summe aller Kontost&auml;nde der aktiven Teilnehmer. Ausgeschiedene Mitglieder werden nicht ber&uuml;cksichtigt.</div></td>
        <td class="tableheader">Pkt. verfallen zum Monatsende <div class="tooltip">Punkte, die zum Ende des Monats verfallen.</div></td>
        <td class="tableheader">Pkt. eingel&ouml;st <div class="tooltip">Am angegeben Tag f&uuml;r Pr&auml;mien und Spenden eingel&ouml;ste Punkte. Verfallene Punkte oder andere Minusbuchungen werden nicht erfasst.</div></td>
        <td class="tableheader">Pkt. einl&ouml;sbar <div class="tooltip">Punkte, die am Ende des angegeben Tages als einl&ouml;sbar gelten. Ber&uuml;cksichtig ist dabei die Regel, dass erstmalig 500 Punkte und danach mindestens 250 Punkte gesammelt werden m&uuml;ssen.</div></td>
        <td class="tableheader">Neuanmeldungen Erw. <div class="tooltip">Neuanmeldungen am angegebenen Tag</div></td>
        <td class="tableheader">Neuanmeldungen U18 <div class="tooltip">Neuanmeldungen am angegebenen Tag</div></td>
        <td class="tableheader">Teilnehmer Erw. <div class="tooltip">Summe aller aktiven Teilnehmer am Ende des angegeben Tages</div></td>
        <td class="tableheader">Teilnehmer U18 <div class="tooltip">Summe aller aktiven Teilnehmer am Ende des angegeben Tages</div></td>
      </tr>
<script type="text/javascript">
  $(".tableheader").mouseover(function() {
      $(this).css("cursor", "hand");
      $(this).children(".tooltip").show();
  });
  $(".tableheader").mouseout(function() {
      $(this).css("cursor", "pointer");
      $(this).children(".tooltip").hide();
  });

</script>
<?    reset($stats); foreach ($stats as $statistic) {
        List($statyear, $statmonth, $statday) = explode('-',$statistic->datum);
        if ($year != $statyear) {
            continue;
        }
        if ($statmonth+0 != $i+0) {
            continue;
      }
 ?>
     <tr>
       <td><?=$statistic->datum?></td>
       <td><?=$statistic->punkte_gesamt?></td>
       <td><?=$statistic->punkte_ultimoverfallen?></td>
       <td><?=$statistic->punkte_eingeloest?></td>
       <td><?=$statistic->punkte_einloesbar?></td>
       <td><?=$statistic->neuanmeldungen_O18?></td>
       <td><?=$statistic->neuanmeldungen_U18?></td>
       <td><?=$statistic->teilnehmer_O18?></td>
       <td><?=$statistic->teilnehmer_U18?></td>
     </tr>
<?
}
?>
    </table>
    </div>
<?
}
?>
    </div> <!-- accordeon -->
<? } ?>
</div><!-- tabs -->
